# std::chrono::year::operator+=, std::chrono::year::operator-=

From cppreference.com
< cpp‎ | chrono‎ | year

constexpr std::chrono::year& operator+=(const std::chrono::years& y) noexcept; | (1) | (since C++20)
constexpr std::chrono::year& operator-=(const std::chrono::years& y) noexcept; | (2) | (since C++20)

Adds or subtracts y.count() years from the year value.

1) Equivalent to *this = *this + y;
2) Equivalent to *this = *this - y;

### Return value

A reference to this `year` after modification.

### Notes

If the result would be outside the range [-32767, 32767], the actual stored value is unspecified.

### Example

| This section is incomplete Reason: no example

### See also

operator++operator++(int)operator--operator--(int) | increments or decrements the year (public member function)
operator+operator- | performs arithmetic on `year`s (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year/operator_arith&oldid=104858"